%define	module	Mail-Graph
%define	name	perl-%{module}
%define	version	0.14
%define	release	%mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	draw graphical stats for mails/spams
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Mail/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(GD)
BuildRequires:	perl-GDGraph
BuildRequires:	perl-MIME-tools
BuildRequires:	perl(Date::Calc)
BuildRequires:  perl(Compress::Zlib)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module parses mailbox files in either compressed or uncompressed form and
then generates pretty statistics and graphs about them. Although at first
developed to do spam statistics, it works just fine for normal mail.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc CHANGES CREDITS README TODO
%{perl_vendorlib}/Mail
%{_mandir}/man3*/*



%changelog
* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-6mdv2008.0
+ Revision: 46978
- rebuild


* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.14-5mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.14-4mdk
- Add BuildRequires

* Thu Dec 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-3mdk
- spec cleanup
- fix buildrequires
- rpmbuildupdate aware
- better URL, summary and description

* Mon Jul 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.14-2mdk
- rebuild

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.14-1mdk
- 0.14
- drop PREFIX and use %%makeinstall_std
- fix standard-dir-owned-by-package
- cosmetics

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 0.10-2mdk
- BuildRequires

* Wed Jul 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10-1mdk
- initial cooker contrib.

